package com.brilliance.isc.bo.lg;


import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NcdinfBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private SwiaddVo swiadd;
    private String clmtxt= NULLSTR;
    private String clmtxts20= NULLSTR;
    private Boolean extpay = false;
    private String nxtflg= NULLSTR;
    private Date repdat;
    private int payday;
    private Boolean adaflg = false;
    //申报类型
    private  String szflg = NULLSTR;
    //欠款去向
    private  String acttyp = NULLSTR;
    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if(ncdgrp == null){
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
